Overview

About HDD Thermometer

HDD Thermometer is a hard disk temperature monitoring tool. It has all the features needed to prevent overheating and possible data loss.

HDD Thermometer use S.M.A.R.T. technology to get access to the hard disk temperature. Most of modern hard disks provide self temperature value through S.M.A.R.T. So if at least one of your hard disks supports this feature than this program will be useful for you.

The less the better

When designing HDD Thermometer, we aimed to create fast, small, and feature-rich software. We considered that we succeeded in this. The most part of its life program eats about 400 KB of memory, CPU usage is minimal too.

Freeware

HDD Thermometer is provided as freeware, but nevertheless it requires registration. So there are some restrictions in program that will be removed after registration. In any case, you don't have to pay any fee!

Donate

If you like HDD Thermometer and want to support further development, you can donate some money to the Project. ( See Donate section )

Copyright © 2001-2005 RSD Software Inc. All rights reserved.


Features

HDD Thermometer features:

  • Monitors hard disks temperature changes;
  • Ability to perform any of following actions when exceed Warning or Critical temperature:
    • Show Notification
    • Play Sound
    • Execute External Application
    • Shutdown / Hibernate
  • Shows hard disks temperature indicators in the System Tray;
  • Logs temperature changes;
  • You can set specific notification settings for every hard disk or common settings for all disks.
  • Milti-language user interface.

In plans:

  • Different log based reports;
  • Statistics;
  • Graphic representation of temperature changes;
  • Add network functions to Temperature Control (e.g. "send e-mail" and "send net message").


System Requirements

The following parameters are required for HDD Thermometer to be able to run:

  • CPU: P-100
  • RAM: 32MB
  • OS: - Windows 98/ME/NT/2000/XP

The following are the technical limitations:

  • SCSI drives are not supported.
  • SATA drives are not supported.


Restrictions

HDD Thermometer is provided as freeware, but nevertheless it requires registration. So there are some restrictions in program that will be removed after registration. In any case, you don't have to pay any fee!

Unregistered version of HDD Thermometer will sometimes display nag screen. This is the only restriction and if you don't want to register - you don't have to.

Unregistered versions of HDD Thermometer may be freely copied, transferred to other persons and used on your computers.


What's New

What's New in HDD Thermometer

HDD Thermometer 1.3 beta (April 2, 2005)

  • [BUGFIX] FINALLY Fixed critical bug with extremely high temperature (some disks occasionally report very high temperature, about 250 C)
  • [BUGFIX] Removed periodical polling of configuration (ini) file (that doesnt' let a computer to "sleep")
  • [CHANGE] Languages list in settings is sorted alphabetically.
  • [CHANGE] Added some new languages;
  • [CHANGE] Experimental support for more than 4 HDDs;

HDD Thermometer 1.2 (May 30, 2004)

  • [CHANGE] Added 11 new languages (Dutch, French, German, Hungarian, Korean, Portuguese Brazil, Russian, Roumanian, Slovak, Swedish);
  • [CHANGE] Temperature logs moved from "User/Application Data" to "All Users/Application Data".
  • [BUGFIX] Temperature logs for identical hard drives was mixed into one file.
  • [BUGFIX] Fixed bug with extremely high temperature (some disks occasionally report very high temperature, about 250 C)
  • [BUGFIX] Fixed small bugs in Uninstaller.

HDD Thermometer 1.1 (May 6, 2004)

  • [CHANGE] Added multilanguage support (currently available English and Italian language);
  • [CHANGE] Reversed temperature indicators in SysTray;
  • [CHANGE] Removed message at program startup when no disks that supports temperature detected;
  • [CHANGE] Removed "Display main Icon -> Never" option;
  • [CHANGE] Improved Temperature Log (logs only real changes, no duplicate lines)
  • [BUGFIX] Fixed wrong capacity bug for large disks (more than 137 GB).

HDD Thermometer 1.0 (Apr 4, 2004)

  • Initial release


Thanks

Thanks to all who reported bugs and gave suggestions.

Thanks especially for all translators listed below:

Translators

  • Bulgarian - Anton Sarov.
  • Catalan - PeterPan.
  • Chinese Simplified - JimmyZ.
  • Chinese Taiwan - OFA.
  • Czek - Seven Duch.
  • Danish - Thomas Rasmussen.
  • Dutch - RJW van den Hout.
  • French - Nicolas Célérier.
  • German - Willy Habermann, Andreas Nettels.
  • Hungarian - Huzella Balázs, Bata György.
  • Italian - Maurizio De Bortoli.
  • Korean - Hyomin, Kim.
  • Latvian - Val.
  • Lithuanian - Dovydas [Dr. ROX].
  • Macedonian - Dimitar Mitrev.
  • Polish - Piotr Wegrzyn.
  • Portuguese Brazil - Leandro Azevedo.
  • Portugal Portuguese - Nuno Sequeira.
  • Roumanian - Eugen Pecol.
  • Slovak - Slavomír Kassay.
  • Serbian - Goran Îivanoviö.
  • Spanish - Víctor J. González.
  • Spanish-Chilean - Ricardo Santis.
  • Swedish - Mikael Pettersson (firewireftp@yahoo.se), Karlstad, Sweden.
  • Turkish - Emre Can.
  • Ukrainian - Sergiy Antonchyk.

    • Copyright © 2001-2005 RSD Software Inc. All rights reserved.


Running HDD Thermometer

Running the HDD Thermometer

After HDD Thermometer have been installed you can run it from the start menu: Start > Programs > HDD Thermometer.

By default HDD Thermometer is configured to start at Windows start-up. You can disable this option at: Settings > General > Load At Windows start-up.

When HDD Thermometer is running, it displays icon (see above) located in the main system tray. The first is the main program icon, and the second - is the temperature indicator for a hard disk. (First icon is turned off by default, it is displayed if no temperature indicators present in the tray).

Tray icon is the primary way you can access HDD Thermometer's features, settings and logs.


The System Tray Menu

Tray icon is the primary way you can access HDD Thermometer's features, settings and logs.

When you right-click on HDD Thermometer's system tray icon you get its context menu. You can select any of these items on this menu by clicking its name with your mouse:

  • HDD Thermometer Settings... displays settings dialog.

  • Hard Disk Settings... displays settings dialog for current hard disk.

  • Temperature Logs opens a sub-menu where you can view temperature log for each of your hard disks.

  • Feedback opens a sub-menu where you can send Bug Report or visit HDD Thermometer's WWW Page.

  • Registration opens a sub-menu where you can Register Program (for free) and Enter Registration Code.

  • Help... shows current manual.

  • About... shows the current version of HDD Thermometer and registration information.

  • Exit HDD Thermometer - closes HDD Thermometer so it no longer monitoring your hard disks.


Warning & Critical Temperature

HDD Thermometer has three temperature states: Normal, Warning and Critical. You can set temperature values for Warning and Critical levels. Normal - is everything below Warning and Critical.

Each temperature level can be indicated by different color (of tray indicator). Also you can state different actions for temperature levels that execute when temperature exceeds Warning and Critical levels respectively.

Warning Temperature

Warning Temperature should be below critical and we recommend setting it into 40 - 50 °C. Such temperature can't cause data loss or crash but it is the matter to be worried.

So for warning temperature it's better to set loud warning sound and notification message (see example below). However HDD Thermometer can execute external program and even shutdown your PC.

Critical Temperature

Critical Temperature should be greater than warning and we recommend setting it into 50 - 60 °C. Such temperature can cause data loss or crash. If your HDD reaches this level you better turn it off and allow your disk to cool down.

We recommend setting Shutdown or Hibernate action for critical temperature. Thus, if you are go away for a long time and you hard disk overheats - HDD Thermometer simply hibernates your PC, and you don't lose your data.

Below you can see the critical temperature notification message.

Below is the Shutdown/Hibernate message box. It has countdown, so if you are away - you PC will be hibernated (or shut down).


Register HDD Thermometer

HDD Thermometer is provided as freeware, but nevertheless it requires registration. So there are some restrictions in program that will be removed after registration. In any case, you don't have to pay any fee!

Registration

Registration of HDD Thermometer is fast and easy. Go to http://www.rsdsoft.com/hdd-thermometer/register.php and fill registration form. Registration key will be delivered to your e-mail address.


Donate to HDD Thermometer

HDD Thermometer is free software. However, if you like HDD Thermometer and want to support further development, please donate some money to this Project. You can do it using credit card or other payment methods.

The base amount is $10, but if you would like to donate more, just change Quantity.

Click the button below to donate money to HDD Thermometer Project:

You can find latest information about donation at:

http://www.rsdsoft.com/hdd-thermometer/donate.php

Thank you very much in advance!


License agreement

HDD THERMOMETER - LICENSE AGREEMENT

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. THIS LICENCE DESCRIBES THE CONDITIONS UNDER WHICH YOU MAY USE HDD THERMOMETER (THE "SOFTWARE").

This is a legal agreement between you and RSD Software Inc. By installing and/or using the enclosed, attached, or about-to-be-installed software you are agreeing to be bound by the terms of this Software License Agreement. If you do not agree to the terms of this Software License Agreement, promptly stop the installation process, cease to use SOFTWARE, and erase this SOFTWARE and all of its associated files from your system.

1. License grant.

RSD Software grants you a license to use one copy of the version of this SOFTWARE on any one hardware product for as many licenses as you have. "You" means the company, entity or individual. "Use" means storing, loading, installing, executing or displaying the SOFTWARE. If you install the SOFTWARE onto a multi-user platform or network, each and every individual user of the SOFTWARE must be licensed separately or be covered by a site license. You may not modify the SOFTWARE or disable any licensing or control features of the SOFTWARE except as an intended part of the SOFTWARE's programming features.

Any use of the SOFTWARE which is illegal under international or local law is forbidden by this licence. Any such action is the sole responsibility of the person committing the action.

2. Ownership.

The SOFTWARE is owned and copyrighted by RSD Software Inc. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE.

3. Copyright.

The SOFTWARE is protected by United States copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of RSD Software and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

4. Restrictions.

You agree that you will not attempt to reverse compile, modify, adapt, translate, copy, emulate, clone, disassemble the SOFTWARE in whole or in part, or otherwise attempt to discover the source code of the SOFTWARE (except and solely to the extent an applicable statute expressly and specifically prohibits such restrictions). You may not sublicense, rent, lease, resell for profit or otherwise dispose of the SOFTWARE without our written permission. You may not grant a security interest in, or otherwise transfer rights to the SOFTWARE. You may not remove any proprietary notices or labels on the SOFTWARE.
Usage of the SOFTWARE may violate the copyright of the modified material. It is your responsibility to respect all legal aspects.

5. Disclaimer of warranty.

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE PROVIDED ON AN "AS IS" BASIS AND YOU ASSUME FULL RESPONSIBILITY FOR DETERMINING THE SUITABILITY OF THE PROGRAM AND FOR RESULTS OBTAINED. RSD SOFTWARE DISCLAIMS ALL WARRANTIES RELATING TO THIS SOFTWARE, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FREE OF DEFECTS, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT OF THIRD PARTY RIGHTS. NEITHER RSD SOFTWARE NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THIS SOFTWARE SHALL BE LIABLE FOR ANY INDIRECT, CONSEQUENTIAL, SPECIAL, OR INCIDENTAL DAMAGES (INCLUDING, WITHOUT LIMITATIONS, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, DATA LOSS, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OR INABILITY TO USE SUCH SOFTWARE, EVEN IF RSD SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR CLAIMS. THE PERSON USING THE SOFTWARE BEARS ALL RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE. SHOULD THE SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, YOU AND NOT RSD SOFTWARE OR ITS SUPPLIERS ASSUME THE ENTIRE COST OF ANY SERVICE AND REPAIR.

SOME JURISDICTIONS DO NOT ALLOW LIMITATION OR EXCLUSION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSION MAY NOT APPLY TO YOU TO THE EXTENT THAT LIABILITY IS BY LAW INCAPABLE OF EXCLUSION OR RESTRICTION.

6. Severability.

In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.

7. No liability for consequential damages.

IN NO EVENT SHALL RSD SOFTWARE OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE OR USE OF THE SOFTWARE, EVEN IF RSD SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. RSD SOFTWARE SHALL HAVE NO OBLIGATION TO YOU WITH RESPECT TO ANY CLAIM OF INFRINGEMENT BASED UPON YOUR USE OF THE SOFTWARE IN COMBINATION, OPERATION OR OTHERWISE WITH THE DATA OR MATERIALS NOT SUPPLIED BY RSD SOFTWARE.

8. Termination.

This Agreement and the license granted hereunder will terminate automatically if you fail to comply with the limitations described herein. Upon termination, you must destroy all copies of the SOFTWARE and documentation.

9. Entire agreement.

This is the entire agreement between you and RSD Software which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.

10. Reserved rights.

All rights not expressly granted here are reserved to RSD Software and/or the respective authors (listed either in the documentation or within the SOFTWARE).

RSD Software reserves the right to make exceptions to any of these conditions, or alter these conditions, at any time. However, you may always use these conditions instead of any altered version if you prefer (note that this licence explicitly applies only to one version of the program; therefore, if RSD Software make new conditions in connection with a future version, you do not then have the right to apply these conditions to that version instead).